CAT(1)

NOMBRE
cat - concatena archivos y los muestra por la salida estándar

SINOPSIS
cat [OPCIÓN]... [ARCHIVO]...

DESCRIPCIÓN

Encadena ARCHIVO(s) y los envía a la salida estándar

Si no se define ningún ARCHIVO o bien se indica '-', se lee la entrada estándar.

-A, --show-all
    equivale a -vET

-b, --number-nonblank
    Numer las líneas no vacías, anula la opción -n

-e  equivale a -vE

-E, --show-ends
    añade el símbolo '$' al final de cada línea

-n, --number
    numera todas las líneas emitidas

-s, --squeeze-blank
    elimina las líneas vacías repetidas

-t  equivale a -vT

-T, --show-tabs
    Muestra las tabulaciones como ^I

-u  (no tiene efecto)

-v, --show-nonprinting
    utiliza ^ y M-, salvo para tabulaciones y nuevas líneas

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

EJEMPLOS

cat f - g
    emite la salida de 'f', luego la entrada estándar y finalmente, el contenido de 'g'.

cat Copy la entrada a la salida estándar.

AUTOR
Escrito por Torbjorn Granlund y Richard M. Stallman.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
tac(1)

Documentación completa en: <https://www.gnu.org/software/coreutils/cat>
también disponible localmenteinfo '(coreutils) cat invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.